GNATdoc.EntitiesCategory = {
  "label": "Tagged Types",
  "entities": [
    {
      "label": "Add_Op",
      "docHref": "docs/values.operations.html#L76C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L76"
    },
    {
      "label": "And_Op",
      "docHref": "docs/values.operations.html#L77C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L77"
    },
    {
      "label": "Animation",
      "docHref": "docs/entities.components.animations.html#L29C10",
      "declared": "Entities.Components.Animations",
      "srcHref": "srcs/entities-components-animations.ads.html#L29"
    },
    {
      "label": "Application",
      "docHref": "docs/applications.html#L18C10",
      "declared": "Applications",
      "srcHref": "srcs/applications.ads.html#L18"
    },
    {
      "label": "Arachnut_Ai",
      "docHref": "docs/entities.components.keen4.arachnuts.html#L18C10",
      "declared": "Entities.Components.Keen4.Arachnuts",
      "srcHref": "srcs/entities-components-keen4-arachnuts.ads.html#L18"
    },
    {
      "label": "Archive",
      "docHref": "docs/resources.archives.html#L20C10",
      "declared": "Resources.Archives",
      "srcHref": "srcs/resources-archives.ads.html#L20"
    },
    {
      "label": "Arguments",
      "docHref": "docs/signals.html#L23C10",
      "declared": "Signals",
      "srcHref": "srcs/signals.ads.html#L23"
    },
    {
      "label": "Array_Stream",
      "docHref": "docs/zip_streams.array_streams.html#L13C10",
      "declared": "Zip_Streams.Array_Streams",
      "srcHref": "srcs/zip_streams-array_streams.ads.html#L13"
    },
    {
      "label": "Ast_Assign",
      "docHref": "docs/scribble.ast.expressions.operators.html#L177C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L177"
    },
    {
      "label": "Ast_Binary_Op",
      "docHref": "docs/scribble.ast.expressions.operators.html#L108C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L108"
    },
    {
      "label": "Ast_Block",
      "docHref": "docs/scribble.ast.statements.html#L68C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L68"
    },
    {
      "label": "Ast_Builtin",
      "docHref": "docs/scribble.ast.expressions.html#L54C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L54"
    },
    {
      "label": "Ast_Conditional",
      "docHref": "docs/scribble.ast.expressions.operators.html#L259C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L259"
    },
    {
      "label": "Ast_Exit",
      "docHref": "docs/scribble.ast.statements.html#L210C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L210"
    },
    {
      "label": "Ast_Expression",
      "docHref": "docs/scribble.ast.expressions.html#L30C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L30"
    },
    {
      "label": "Ast_Expression_Statement",
      "docHref": "docs/scribble.ast.statements.html#L231C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L231"
    },
    {
      "label": "Ast_Function_Call",
      "docHref": "docs/scribble.ast.expressions.html#L80C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L80"
    },
    {
      "label": "Ast_Function_Definition",
      "docHref": "docs/scribble.ast.functions.html#L38C10",
      "declared": "Scribble.Ast.Functions",
      "srcHref": "srcs/scribble-ast-functions.ads.html#L38"
    },
    {
      "label": "Ast_Identifier",
      "docHref": "docs/scribble.ast.expressions.symbols.html#L34C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L34"
    },
    {
      "label": "Ast_If",
      "docHref": "docs/scribble.ast.statements.html#L262C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L262"
    },
    {
      "label": "Ast_Index",
      "docHref": "docs/scribble.ast.expressions.operators.html#L227C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L227"
    },
    {
      "label": "Ast_List",
      "docHref": "docs/scribble.ast.expressions.html#L157C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L157"
    },
    {
      "label": "Ast_Literal",
      "docHref": "docs/scribble.ast.expressions.html#L194C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L194"
    },
    {
      "label": "Ast_Loop",
      "docHref": "docs/scribble.ast.statements.html#L328C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L328"
    },
    {
      "label": "Ast_Map",
      "docHref": "docs/scribble.ast.expressions.html#L216C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L216"
    },
    {
      "label": "Ast_Member_Call",
      "docHref": "docs/scribble.ast.expressions.html#L128C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L128"
    },
    {
      "label": "Ast_Membership",
      "docHref": "docs/scribble.ast.expressions.symbols.html#L68C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L68"
    },
    {
      "label": "Ast_Name_Expr",
      "docHref": "docs/scribble.ast.expressions.symbols.html#L107C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L107"
    },
    {
      "label": "Ast_Node",
      "docHref": "docs/scribble.ast.html#L65C10",
      "declared": "Scribble.Ast",
      "srcHref": "srcs/scribble-ast.ads.html#L65"
    },
    {
      "label": "Ast_Reference",
      "docHref": "docs/scribble.ast.expressions.operators.html#L77C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L77"
    },
    {
      "label": "Ast_Return",
      "docHref": "docs/scribble.ast.statements.html#L368C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L368"
    },
    {
      "label": "Ast_Self",
      "docHref": "docs/scribble.ast.expressions.html#L272C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L272"
    },
    {
      "label": "Ast_Statement",
      "docHref": "docs/scribble.ast.statements.html#L23C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L23"
    },
    {
      "label": "Ast_Symbol",
      "docHref": "docs/scribble.ast.expressions.symbols.html#L13C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L13"
    },
    {
      "label": "Ast_This",
      "docHref": "docs/scribble.ast.expressions.html#L291C10",
      "declared": "Scribble.Ast.Expressions",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L291"
    },
    {
      "label": "Ast_Unary_Op",
      "docHref": "docs/scribble.ast.expressions.operators.html#L23C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L23"
    },
    {
      "label": "Ast_Var",
      "docHref": "docs/scribble.ast.statements.html#L398C10",
      "declared": "Scribble.Ast.Statements",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L398"
    },
    {
      "label": "Atlas",
      "docHref": "docs/tiles.atlases.html#L17C10",
      "declared": "Tiles.Atlases",
      "srcHref": "srcs/tiles-atlases.ads.html#L17"
    },
    {
      "label": "Audio_Player",
      "docHref": "docs/audio_players.html#L26C10",
      "declared": "Audio_Players",
      "srcHref": "srcs/audio_players.ads.html#L26"
    },
    {
      "label": "Bin",
      "docHref": "docs/tiles.atlases.bins.html#L26C10",
      "declared": "Tiles.Atlases.Bins",
      "srcHref": "srcs/tiles-atlases-bins.ads.html#L26"
    },
    {
      "label": "Binary_Operation",
      "docHref": "docs/values.operations.html#L54C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L54"
    },
    {
      "label": "Bounder_Ai",
      "docHref": "docs/entities.components.keen4.bounders.html#L18C10",
      "declared": "Entities.Components.Keen4.Bounders",
      "srcHref": "srcs/entities-components-keen4-bounders.ads.html#L18"
    },
    {
      "label": "Buffer_Stream",
      "docHref": "docs/streams.buffers.html#L16C10",
      "declared": "Streams.Buffers",
      "srcHref": "srcs/streams-buffers.ads.html#L16"
    },
    {
      "label": "Button",
      "docHref": "docs/widgets.buttons.html#L19C10",
      "declared": "Widgets.Buttons",
      "srcHref": "srcs/widgets-buttons.ads.html#L19"
    },
    {
      "label": "Button_Connection",
      "docHref": "docs/signals.mouse.html#L25C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L25"
    },
    {
      "label": "Button_Group",
      "docHref": "docs/widgets.buttons.groups.html#L19C10",
      "declared": "Widgets.Buttons.Groups",
      "srcHref": "srcs/widgets-buttons-groups.ads.html#L19"
    },
    {
      "label": "Button_Signal",
      "docHref": "docs/signals.mouse.html#L27C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L27"
    },
    {
      "label": "Camera_Target",
      "docHref": "docs/entities.components.camera_targets.html#L25C10",
      "declared": "Entities.Components.Camera_Targets",
      "srcHref": "srcs/entities-components-camera_targets.ads.html#L25"
    },
    {
      "label": "Catalog",
      "docHref": "docs/tiles.catalogs.html#L24C10",
      "declared": "Tiles.Catalogs",
      "srcHref": "srcs/tiles-catalogs.ads.html#L24"
    },
    {
      "label": "Checkbox",
      "docHref": "docs/widgets.buttons.checkboxes.html#L16C10",
      "declared": "Widgets.Buttons.Checkboxes",
      "srcHref": "srcs/widgets-buttons-checkboxes.ads.html#L16"
    },
    {
      "label": "Cloud_Ai",
      "docHref": "docs/entities.components.keen4.clouds.html#L18C10",
      "declared": "Entities.Components.Keen4.Clouds",
      "srcHref": "srcs/entities-components-keen4-clouds.ads.html#L18"
    },
    {
      "label": "Code_Generator",
      "docHref": "docs/scribble.code_generators.html#L34C10",
      "declared": "Scribble.Code_Generators",
      "srcHref": "srcs/scribble-code_generators.ads.html#L34"
    },
    {
      "label": "Collidable",
      "docHref": "docs/entities.components.collidables.html#L37C10",
      "declared": "Entities.Components.Collidables",
      "srcHref": "srcs/entities-components-collidables.ads.html#L37"
    },
    {
      "label": "Command",
      "docHref": "docs/commands.html#L19C10",
      "declared": "Commands",
      "srcHref": "srcs/commands.ads.html#L19"
    },
    {
      "label": "Command_History",
      "docHref": "docs/commands.history.html#L13C10",
      "declared": "Commands.History",
      "srcHref": "srcs/commands-history.ads.html#L13"
    },
    {
      "label": "Component",
      "docHref": "docs/entities.html#L71C10",
      "declared": "Entities",
      "srcHref": "srcs/entities.ads.html#L71"
    },
    {
      "label": "Component_System",
      "docHref": "docs/entities.systems.html#L61C10",
      "declared": "Entities.Systems",
      "srcHref": "srcs/entities-systems.ads.html#L61"
    },
    {
      "label": "Compound_Command",
      "docHref": "docs/commands.html#L42C10",
      "declared": "Commands",
      "srcHref": "srcs/commands.ads.html#L42"
    },
    {
      "label": "Concat_Op",
      "docHref": "docs/values.operations.html#L78C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L78"
    },
    {
      "label": "Connection",
      "docHref": "docs/signals.html#L19C10",
      "declared": "Signals",
      "srcHref": "srcs/signals.ads.html#L19"
    },
    {
      "label": "Connector",
      "docHref": "docs/tools.connectors.html#L13C10",
      "declared": "Tools.Connectors",
      "srcHref": "srcs/tools-connectors.ads.html#L13"
    },
    {
      "label": "Corral",
      "docHref": "docs/events.corrals.html#L31C10",
      "declared": "Events.Corrals",
      "srcHref": "srcs/events-corrals.ads.html#L31"
    },
    {
      "label": "Create_World_Event",
      "docHref": "docs/events.world.html#L16C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L16"
    },
    {
      "label": "Definition",
      "docHref": "docs/entities.factory.definitions.html#L14C10",
      "declared": "Entities.Factory.Definitions",
      "srcHref": "srcs/entities-factory-definitions.ads.html#L14"
    },
    {
      "label": "Dialog",
      "docHref": "docs/widgets.panels.dialogs.html#L19C10",
      "declared": "Widgets.Panels.Dialogs",
      "srcHref": "srcs/widgets-panels-dialogs.ads.html#L19"
    },
    {
      "label": "Dialog_Desc",
      "docHref": "docs/events.keen.html#L15C10",
      "declared": "Events.Keen",
      "srcHref": "srcs/events-keen.ads.html#L15"
    },
    {
      "label": "Dialog_Event",
      "docHref": "docs/events.keen.html#L42C10",
      "declared": "Events.Keen",
      "srcHref": "srcs/events-keen.ads.html#L42"
    },
    {
      "label": "Dialog_Response_Event",
      "docHref": "docs/events.keen.html#L58C10",
      "declared": "Events.Keen",
      "srcHref": "srcs/events-keen.ads.html#L58"
    },
    {
      "label": "Divide_Op",
      "docHref": "docs/values.operations.html#L79C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L79"
    },
    {
      "label": "Emitter",
      "docHref": "docs/entities.components.emitters.html#L25C10",
      "declared": "Entities.Components.Emitters",
      "srcHref": "srcs/entities-components-emitters.ads.html#L25"
    },
    {
      "label": "End_Game_Event",
      "docHref": "docs/events.game.html#L14C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L14"
    },
    {
      "label": "Entity",
      "docHref": "docs/entities.html#L57C10",
      "declared": "Entities",
      "srcHref": "srcs/entities.ads.html#L57"
    },
    {
      "label": "Entity_Attribute_Event",
      "docHref": "docs/events.entities.html#L38C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L38"
    },
    {
      "label": "Entity_Directive_Event",
      "docHref": "docs/events.entities.html#L194C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L194"
    },
    {
      "label": "Entity_Event",
      "docHref": "docs/events.entities.html#L23C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L23"
    },
    {
      "label": "Entity_Location_Event",
      "docHref": "docs/events.entities.html#L53C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L53"
    },
    {
      "label": "Entity_Moved_Event",
      "docHref": "docs/events.entities.html#L67C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L67"
    },
    {
      "label": "Entity_Palette",
      "docHref": "docs/widgets.palettes.entities.html#L15C10",
      "declared": "Widgets.Palettes.Entities",
      "srcHref": "srcs/widgets-palettes-entities.ads.html#L15"
    },
    {
      "label": "Entity_Resized_Event",
      "docHref": "docs/events.entities.html#L96C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L96"
    },
    {
      "label": "Entity_Size_Event",
      "docHref": "docs/events.entities.html#L82C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L82"
    },
    {
      "label": "Entity_Spawned_Event",
      "docHref": "docs/events.entities.html#L110C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L110"
    },
    {
      "label": "Entity_Spawner",
      "docHref": "docs/tools.entity_spawners.html#L14C10",
      "declared": "Tools.Entity_Spawners",
      "srcHref": "srcs/tools-entity_spawners.ads.html#L14"
    },
    {
      "label": "Entity_System",
      "docHref": "docs/entities.systems.html#L49C10",
      "declared": "Entities.Systems",
      "srcHref": "srcs/entities-systems.ads.html#L49"
    },
    {
      "label": "Enumeration",
      "docHref": "docs/widgets.enumerations.html#L21C10",
      "declared": "Widgets.Enumerations",
      "srcHref": "srcs/widgets-enumerations.ads.html#L21"
    },
    {
      "label": "Eraser",
      "docHref": "docs/tools.erasers.html#L13C10",
      "declared": "Tools.Erasers",
      "srcHref": "srcs/tools-erasers.ads.html#L13"
    },
    {
      "label": "Error_Value",
      "docHref": "docs/values.errors.html#L32C10",
      "declared": "Values.Errors",
      "srcHref": "srcs/values-errors.ads.html#L32"
    },
    {
      "label": "Event",
      "docHref": "docs/events.html#L60C10",
      "declared": "Events",
      "srcHref": "srcs/events.ads.html#L60"
    },
    {
      "label": "File_Zipstream",
      "docHref": "docs/zip_streams.html#L125C9",
      "declared": "Zip_Streams",
      "srcHref": "srcs/zip_streams.ads.html#L125"
    },
    {
      "label": "Follow_Entity_Event",
      "docHref": "docs/events.entities.html#L149C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L149"
    },
    {
      "label": "Font",
      "docHref": "docs/fonts.html#L19C10",
      "declared": "Fonts",
      "srcHref": "srcs/fonts.ads.html#L19"
    },
    {
      "label": "Frame_Changed_Event",
      "docHref": "docs/events.entities.html#L169C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L169"
    },
    {
      "label": "Function_Value",
      "docHref": "docs/values.functions.html#L37C10",
      "declared": "Values.Functions",
      "srcHref": "srcs/values-functions.ads.html#L37"
    },
    {
      "label": "Game",
      "docHref": "docs/games.html#L29C10",
      "declared": "Games",
      "srcHref": "srcs/games.ads.html#L29"
    },
    {
      "label": "Game_Application",
      "docHref": "docs/applications.gui.games.html#L16C10",
      "declared": "Applications.Gui.Games",
      "srcHref": "srcs/applications-gui-games.ads.html#L16"
    },
    {
      "label": "Game_Paused_Event",
      "docHref": "docs/events.game.html#L24C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L24"
    },
    {
      "label": "Game_State_Event",
      "docHref": "docs/events.game.html#L36C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L36"
    },
    {
      "label": "Game_Var_Changed_Event",
      "docHref": "docs/events.game.html#L53C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L53"
    },
    {
      "label": "Game_View",
      "docHref": "docs/game_views.html#L38C10",
      "declared": "Game_Views",
      "srcHref": "srcs/game_views.ads.html#L38"
    },
    {
      "label": "Generic_Button_Connection",
      "docHref": "docs/standard.html#L128C10",
      "declared": "Signals.Mouse.Abstract_Connections",
      "srcHref": "srcs/signals-mouse-abstract_connections.ads.html#L128"
    },
    {
      "label": "Generic_Button_Connection",
      "docHref": "docs/standard.html#L128C10",
      "declared": "Signals.Mouse.Connections",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L128"
    },
    {
      "label": "Generic_Connection",
      "docHref": "docs/standard.html#L42C10",
      "declared": "Signals.Abstract_Connections",
      "srcHref": "srcs/signals-abstract_connections.ads.html#L42"
    },
    {
      "label": "Generic_Connection",
      "docHref": "docs/standard.html#L42C10",
      "declared": "Signals.Connections",
      "srcHref": "srcs/signals-connections.ads.html#L42"
    },
    {
      "label": "Generic_Key_Connection",
      "docHref": "docs/standard.html#L70C10",
      "declared": "Signals.Keys.Abstract_Connections",
      "srcHref": "srcs/signals-keys-abstract_connections.ads.html#L70"
    },
    {
      "label": "Generic_Key_Connection",
      "docHref": "docs/standard.html#L70C10",
      "declared": "Signals.Keys.Connections",
      "srcHref": "srcs/signals-keys-connections.ads.html#L70"
    },
    {
      "label": "Generic_Mouse_Connection",
      "docHref": "docs/standard.html#L111C10",
      "declared": "Signals.Mouse.Abstract_Connections",
      "srcHref": "srcs/signals-mouse-abstract_connections.ads.html#L111"
    },
    {
      "label": "Generic_Mouse_Connection",
      "docHref": "docs/standard.html#L111C10",
      "declared": "Signals.Mouse.Connections",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L111"
    },
    {
      "label": "Generic_Scroll_Connection",
      "docHref": "docs/standard.html#L147C10",
      "declared": "Signals.Mouse.Abstract_Connections",
      "srcHref": "srcs/signals-mouse-abstract_connections.ads.html#L147"
    },
    {
      "label": "Generic_Scroll_Connection",
      "docHref": "docs/standard.html#L147C10",
      "declared": "Signals.Mouse.Connections",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L147"
    },
    {
      "label": "Generic_String_Connection",
      "docHref": "docs/standard.html#L32C10",
      "declared": "Signals.Simple.Connections",
      "srcHref": "srcs/signals-simple-connections.ads.html#L32"
    },
    {
      "label": "Gui_Application",
      "docHref": "docs/applications.gui.html#L15C10",
      "declared": "Applications.Gui",
      "srcHref": "srcs/applications-gui.ads.html#L15"
    },
    {
      "label": "H_Scrollbar",
      "docHref": "docs/widgets.scrollbars.html#L34C10",
      "declared": "Widgets.Scrollbars",
      "srcHref": "srcs/widgets-scrollbars.ads.html#L34"
    },
    {
      "label": "Icon_Type",
      "docHref": "docs/icons.html#L17C10",
      "declared": "Icons",
      "srcHref": "srcs/icons.ads.html#L17"
    },
    {
      "label": "Import_World_Event",
      "docHref": "docs/events.ked.html#L17C10",
      "declared": "Events.Ked",
      "srcHref": "srcs/events-ked.ads.html#L17"
    },
    {
      "label": "In_Op",
      "docHref": "docs/values.operations.html#L80C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L80"
    },
    {
      "label": "Inchworm_Ai",
      "docHref": "docs/entities.components.keen4.inchworms.html#L18C10",
      "declared": "Entities.Components.Keen4.Inchworms",
      "srcHref": "srcs/entities-components-keen4-inchworms.ads.html#L18"
    },
    {
      "label": "Index_Op",
      "docHref": "docs/values.operations.html#L81C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L81"
    },
    {
      "label": "Index_Ref_Op",
      "docHref": "docs/values.operations.html#L82C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L82"
    },
    {
      "label": "Input_Box",
      "docHref": "docs/widgets.input_boxes.html#L24C10",
      "declared": "Widgets.Input_Boxes",
      "srcHref": "srcs/widgets-input_boxes.ads.html#L24"
    },
    {
      "label": "Input_Handler",
      "docHref": "docs/input_handlers.html#L22C10",
      "declared": "Input_Handlers",
      "srcHref": "srcs/input_handlers.ads.html#L22"
    },
    {
      "label": "Ked_Scene",
      "docHref": "docs/widgets.scenes.ked.html#L14C10",
      "declared": "Widgets.Scenes.Ked",
      "srcHref": "srcs/widgets-scenes-ked.ads.html#L14"
    },
    {
      "label": "Ked_Session",
      "docHref": "docs/sessions.ked.html#L13C10",
      "declared": "Sessions.Ked",
      "srcHref": "srcs/sessions-ked.ads.html#L13"
    },
    {
      "label": "Ked_Sprite",
      "docHref": "docs/widgets.sprites.ked.html#L19C10",
      "declared": "Widgets.Sprites.Ked",
      "srcHref": "srcs/widgets-sprites-ked.ads.html#L19"
    },
    {
      "label": "Ked_View",
      "docHref": "docs/game_views.ked.html#L26C10",
      "declared": "Game_Views.Ked",
      "srcHref": "srcs/game_views-ked.ads.html#L26"
    },
    {
      "label": "Keen",
      "docHref": "docs/entities.components.keen4.keens.html#L46C10",
      "declared": "Entities.Components.Keen4.Keens",
      "srcHref": "srcs/entities-components-keen4-keens.ads.html#L46"
    },
    {
      "label": "Key_Connection",
      "docHref": "docs/signals.keys.html#L13C10",
      "declared": "Signals.Keys",
      "srcHref": "srcs/signals-keys.ads.html#L13"
    },
    {
      "label": "Key_Event",
      "docHref": "docs/events.input.html#L21C10",
      "declared": "Events.Input",
      "srcHref": "srcs/events-input.ads.html#L21"
    },
    {
      "label": "Key_Signal",
      "docHref": "docs/signals.keys.html#L15C10",
      "declared": "Signals.Keys",
      "srcHref": "srcs/signals-keys.ads.html#L15"
    },
    {
      "label": "Key_Typed_Event",
      "docHref": "docs/events.input.html#L33C10",
      "declared": "Events.Input",
      "srcHref": "srcs/events-input.ads.html#L33"
    },
    {
      "label": "Label",
      "docHref": "docs/widgets.labels.html#L16C10",
      "declared": "Widgets.Labels",
      "srcHref": "srcs/widgets-labels.ads.html#L16"
    },
    {
      "label": "Layer_Changed_Event",
      "docHref": "docs/events.entities.html#L180C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L180"
    },
    {
      "label": "Library_Ptr",
      "docHref": "docs/tiles.libraries.html#L31C10",
      "declared": "Tiles.Libraries",
      "srcHref": "srcs/tiles-libraries.ads.html#L31"
    },
    {
      "label": "Lick_Ai",
      "docHref": "docs/entities.components.keen4.licks.html#L18C10",
      "declared": "Entities.Components.Keen4.Licks",
      "srcHref": "srcs/entities-components-keen4-licks.ads.html#L18"
    },
    {
      "label": "Light",
      "docHref": "docs/entities.components.lights.html#L30C10",
      "declared": "Entities.Components.Lights",
      "srcHref": "srcs/entities-components-lights.ads.html#L30"
    },
    {
      "label": "Light_Event",
      "docHref": "docs/events.lighting.html#L23C10",
      "declared": "Events.Lighting",
      "srcHref": "srcs/events-lighting.ads.html#L23"
    },
    {
      "label": "Lighting_System",
      "docHref": "docs/lighting_systems.html#L30C10",
      "declared": "Lighting_Systems",
      "srcHref": "srcs/lighting_systems.ads.html#L30"
    },
    {
      "label": "Limited_Object",
      "docHref": "docs/objects.html#L88C10",
      "declared": "Objects",
      "srcHref": "srcs/objects.ads.html#L88"
    },
    {
      "label": "List",
      "docHref": "docs/standard.html#L65C10",
      "declared": "Mutable_Lists",
      "srcHref": "srcs/mutable_lists.ads.html#L65"
    },
    {
      "label": "List_Value",
      "docHref": "docs/values.lists.html#L21C10",
      "declared": "Values.Lists",
      "srcHref": "srcs/values-lists.ads.html#L21"
    },
    {
      "label": "Little_Keen",
      "docHref": "docs/entities.components.keen4.little_keens.html#L24C10",
      "declared": "Entities.Components.Keen4.Little_Keens",
      "srcHref": "srcs/entities-components-keen4-little_keens.ads.html#L24"
    },
    {
      "label": "Load_World_Event",
      "docHref": "docs/events.world.html#L37C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L37"
    },
    {
      "label": "Loading_Event",
      "docHref": "docs/events.game.html#L69C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L69"
    },
    {
      "label": "Location",
      "docHref": "docs/entities.components.locations.html#L31C10",
      "declared": "Entities.Components.Locations",
      "srcHref": "srcs/entities-components-locations.ads.html#L31"
    },
    {
      "label": "Map_Clipped",
      "docHref": "docs/entities.components.map_clipping.html#L34C10",
      "declared": "Entities.Components.Map_Clipping",
      "srcHref": "srcs/entities-components-map_clipping.ads.html#L34"
    },
    {
      "label": "Map_Object",
      "docHref": "docs/maps.html#L30C10",
      "declared": "Maps",
      "srcHref": "srcs/maps.ads.html#L30"
    },
    {
      "label": "Map_Value",
      "docHref": "docs/values.maps.html#L36C10",
      "declared": "Values.Maps",
      "srcHref": "srcs/values-maps.ads.html#L36"
    },
    {
      "label": "Matrix_Palette",
      "docHref": "docs/widgets.palettes.matrices.html#L18C10",
      "declared": "Widgets.Palettes.Matrices",
      "srcHref": "srcs/widgets-palettes-matrices.ads.html#L18"
    },
    {
      "label": "Matrixbrush",
      "docHref": "docs/tools.matrixbrushes.html#L15C10",
      "declared": "Tools.Matrixbrushes",
      "srcHref": "srcs/tools-matrixbrushes.ads.html#L15"
    },
    {
      "label": "Memory_Zipstream",
      "docHref": "docs/zip_streams.html#L111C9",
      "declared": "Zip_Streams",
      "srcHref": "srcs/zip_streams.ads.html#L111"
    },
    {
      "label": "Menu_Checkbox",
      "docHref": "docs/widgets.menu_items.menu_checkboxes.html#L16C10",
      "declared": "Widgets.Menu_Items.Menu_Checkboxes",
      "srcHref": "srcs/widgets-menu_items-menu_checkboxes.ads.html#L16"
    },
    {
      "label": "Menu_Item",
      "docHref": "docs/widgets.menu_items.html#L15C10",
      "declared": "Widgets.Menu_Items",
      "srcHref": "srcs/widgets-menu_items.ads.html#L15"
    },
    {
      "label": "Menubar",
      "docHref": "docs/widgets.menubars.html#L16C10",
      "declared": "Widgets.Menubars",
      "srcHref": "srcs/widgets-menubars.ads.html#L16"
    },
    {
      "label": "Message_Entity_Event",
      "docHref": "docs/events.entities.html#L208C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L208"
    },
    {
      "label": "Message_Event",
      "docHref": "docs/events.keen.html#L71C10",
      "declared": "Events.Keen",
      "srcHref": "srcs/events-keen.ads.html#L71"
    },
    {
      "label": "Mimrock_Ai",
      "docHref": "docs/entities.components.keen4.mimrocks.html#L18C10",
      "declared": "Entities.Components.Keen4.Mimrocks",
      "srcHref": "srcs/entities-components-keen4-mimrocks.ads.html#L18"
    },
    {
      "label": "Modulo_Op",
      "docHref": "docs/values.operations.html#L83C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L83"
    },
    {
      "label": "Mouse_Button_Event",
      "docHref": "docs/events.input.html#L111C10",
      "declared": "Events.Input",
      "srcHref": "srcs/events-input.ads.html#L111"
    },
    {
      "label": "Mouse_Connection",
      "docHref": "docs/signals.mouse.html#L14C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L14"
    },
    {
      "label": "Mouse_Cursor",
      "docHref": "docs/mouse.cursors.html#L15C10",
      "declared": "Mouse.Cursors",
      "srcHref": "srcs/mouse-cursors.ads.html#L15"
    },
    {
      "label": "Mouse_Event",
      "docHref": "docs/events.input.html#L65C10",
      "declared": "Events.Input",
      "srcHref": "srcs/events-input.ads.html#L65"
    },
    {
      "label": "Mouse_Scroll_Event",
      "docHref": "docs/events.input.html#L85C10",
      "declared": "Events.Input",
      "srcHref": "srcs/events-input.ads.html#L85"
    },
    {
      "label": "Mouse_Signal",
      "docHref": "docs/signals.mouse.html#L16C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L16"
    },
    {
      "label": "Movement",
      "docHref": "docs/entities.components.movements.html#L54C10",
      "declared": "Entities.Components.Movements",
      "srcHref": "srcs/entities-components-movements.ads.html#L54"
    },
    {
      "label": "Multiply_Op",
      "docHref": "docs/values.operations.html#L84C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L84"
    },
    {
      "label": "Mushroom_Ai",
      "docHref": "docs/entities.components.keen4.mushrooms.html#L18C10",
      "declared": "Entities.Components.Keen4.Mushrooms",
      "srcHref": "srcs/entities-components-keen4-mushrooms.ads.html#L18"
    },
    {
      "label": "Negate_Op",
      "docHref": "docs/values.operations.html#L41C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L41"
    },
    {
      "label": "Not_Op",
      "docHref": "docs/values.operations.html#L42C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L42"
    },
    {
      "label": "Object",
      "docHref": "docs/objects.html#L18C10",
      "declared": "Objects",
      "srcHref": "srcs/objects.ads.html#L18"
    },
    {
      "label": "Or_Op",
      "docHref": "docs/values.operations.html#L85C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L85"
    },
    {
      "label": "Paintbrush",
      "docHref": "docs/tools.paintbrushes.html#L13C10",
      "declared": "Tools.Paintbrushes",
      "srcHref": "srcs/tools-paintbrushes.ads.html#L13"
    },
    {
      "label": "Palette",
      "docHref": "docs/widgets.palettes.html#L15C10",
      "declared": "Widgets.Palettes",
      "srcHref": "srcs/widgets-palettes.ads.html#L15"
    },
    {
      "label": "Panel",
      "docHref": "docs/widgets.panels.html#L26C10",
      "declared": "Widgets.Panels",
      "srcHref": "srcs/widgets-panels.ads.html#L26"
    },
    {
      "label": "Panner",
      "docHref": "docs/tools.panners.html#L13C10",
      "declared": "Tools.Panners",
      "srcHref": "srcs/tools-panners.ads.html#L13"
    },
    {
      "label": "Parser",
      "docHref": "docs/scribble.parsers.html#L120C10",
      "declared": "Scribble.Parsers",
      "srcHref": "srcs/scribble-parsers.ads.html#L120"
    },
    {
      "label": "Particle_System",
      "docHref": "docs/particles.systems.html#L24C10",
      "declared": "Particles.Systems",
      "srcHref": "srcs/particles-systems.ads.html#L24"
    },
    {
      "label": "Particles_Event",
      "docHref": "docs/events.particles.html#L23C10",
      "declared": "Events.Particles",
      "srcHref": "srcs/events-particles.ads.html#L23"
    },
    {
      "label": "Pause_Game_Event",
      "docHref": "docs/events.game.html#L90C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L90"
    },
    {
      "label": "Picker",
      "docHref": "docs/tools.pickers.html#L13C10",
      "declared": "Tools.Pickers",
      "srcHref": "srcs/tools-pickers.ads.html#L13"
    },
    {
      "label": "Platform_Clipped",
      "docHref": "docs/entities.components.map_clipping.platform.html#L24C10",
      "declared": "Entities.Components.Map_Clipping.Platform",
      "srcHref": "srcs/entities-components-map_clipping-platform.ads.html#L24"
    },
    {
      "label": "Play_Audio_Event",
      "docHref": "docs/events.audio.html#L18C10",
      "declared": "Events.Audio",
      "srcHref": "srcs/events-audio.ads.html#L18"
    },
    {
      "label": "Pointer",
      "docHref": "docs/tools.pointers.html#L13C10",
      "declared": "Tools.Pointers",
      "srcHref": "srcs/tools-pointers.ads.html#L13"
    },
    {
      "label": "Popup",
      "docHref": "docs/widgets.panels.popups.html#L20C10",
      "declared": "Widgets.Panels.Popups",
      "srcHref": "srcs/widgets-panels-popups.ads.html#L20"
    },
    {
      "label": "Power_Op",
      "docHref": "docs/values.operations.html#L86C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L86"
    },
    {
      "label": "Precise_Clipped",
      "docHref": "docs/entities.components.map_clipping.precise.html#L23C10",
      "declared": "Entities.Components.Map_Clipping.Precise",
      "srcHref": "srcs/entities-components-map_clipping-precise.ads.html#L23"
    },
    {
      "label": "Process_Manager",
      "docHref": "docs/processes.managers.html#L27C10",
      "declared": "Processes.Managers",
      "srcHref": "srcs/processes-managers.ads.html#L27"
    },
    {
      "label": "Pulldown_Menu",
      "docHref": "docs/widgets.pulldown_menus.html#L16C10",
      "declared": "Widgets.Pulldown_Menus",
      "srcHref": "srcs/widgets-pulldown_menus.ads.html#L16"
    },
    {
      "label": "Push_Button",
      "docHref": "docs/widgets.buttons.pushes.html#L17C10",
      "declared": "Widgets.Buttons.Pushes",
      "srcHref": "srcs/widgets-buttons-pushes.ads.html#L17"
    },
    {
      "label": "Ref",
      "docHref": "docs/reference_counting.html#L31C14",
      "declared": "Reference_Counting.Smart_Pointers",
      "srcHref": "srcs/reference_counting.ads.html#L31"
    },
    {
      "label": "Reference_Counted",
      "docHref": "docs/reference_counting.html#L16C10",
      "declared": "Reference_Counting",
      "srcHref": "srcs/reference_counting.ads.html#L16"
    },
    {
      "label": "Renderer",
      "docHref": "docs/renderers.html#L25C10",
      "declared": "Renderers",
      "srcHref": "srcs/renderers.ads.html#L25"
    },
    {
      "label": "Resize_World_Event",
      "docHref": "docs/events.world.html#L81C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L81"
    },
    {
      "label": "Resource_File",
      "docHref": "docs/resources.html#L29C10",
      "declared": "Resources",
      "srcHref": "srcs/resources.ads.html#L29"
    },
    {
      "label": "Root_Zipstream_Type",
      "docHref": "docs/zip_streams.html#L42C9",
      "declared": "Zip_Streams",
      "srcHref": "srcs/zip_streams.ads.html#L42"
    },
    {
      "label": "Save_Changes_Dialog",
      "docHref": "docs/widgets.panels.dialogs.save_changes.html#L15C10",
      "declared": "Widgets.Panels.Dialogs.Save_Changes",
      "srcHref": "srcs/widgets-panels-dialogs-save_changes.ads.html#L15"
    },
    {
      "label": "Save_World_Event",
      "docHref": "docs/events.ked.html#L34C10",
      "declared": "Events.Ked",
      "srcHref": "srcs/events-ked.ads.html#L34"
    },
    {
      "label": "Scanner",
      "docHref": "docs/scribble.scanners.html#L16C10",
      "declared": "Scribble.Scanners",
      "srcHref": "srcs/scribble-scanners.ads.html#L16"
    },
    {
      "label": "Scene",
      "docHref": "docs/widgets.scenes.html#L34C10",
      "declared": "Widgets.Scenes",
      "srcHref": "srcs/widgets-scenes.ads.html#L34"
    },
    {
      "label": "Scribble_Compiler",
      "docHref": "docs/scribble.compilers.html#L22C10",
      "declared": "Scribble.Compilers",
      "srcHref": "srcs/scribble-compilers.ads.html#L22"
    },
    {
      "label": "Scribble_Runtime",
      "docHref": "docs/scribble.runtimes.html#L43C10",
      "declared": "Scribble.Runtimes",
      "srcHref": "srcs/scribble-runtimes.ads.html#L43"
    },
    {
      "label": "Scribble_VM",
      "docHref": "docs/scribble.vms.html#L76C10",
      "declared": "Scribble.VMs",
      "srcHref": "srcs/scribble-vms.ads.html#L76"
    },
    {
      "label": "Script",
      "docHref": "docs/entities.components.scripts.html#L72C10",
      "declared": "Entities.Components.Scripts",
      "srcHref": "srcs/entities-components-scripts.ads.html#L72"
    },
    {
      "label": "Script_Event",
      "docHref": "docs/events.game.html#L108C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L108"
    },
    {
      "label": "Scroll_Connection",
      "docHref": "docs/signals.mouse.html#L37C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L37"
    },
    {
      "label": "Scroll_Pane",
      "docHref": "docs/widgets.scroll_panes.html#L19C10",
      "declared": "Widgets.Scroll_Panes",
      "srcHref": "srcs/widgets-scroll_panes.ads.html#L19"
    },
    {
      "label": "Scroll_Signal",
      "docHref": "docs/signals.mouse.html#L39C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L39"
    },
    {
      "label": "Scroll_View_Event",
      "docHref": "docs/events.game.html#L119C10",
      "declared": "Events.Game",
      "srcHref": "srcs/events-game.ads.html#L119"
    },
    {
      "label": "Scrollbar",
      "docHref": "docs/widgets.scrollbars.html#L14C10",
      "declared": "Widgets.Scrollbars",
      "srcHref": "srcs/widgets-scrollbars.ads.html#L14"
    },
    {
      "label": "Semantic_Analyzer",
      "docHref": "docs/scribble.semantics.html#L67C10",
      "declared": "Scribble.Semantics",
      "srcHref": "srcs/scribble-semantics.ads.html#L67"
    },
    {
      "label": "Session",
      "docHref": "docs/sessions.html#L63C10",
      "declared": "Sessions",
      "srcHref": "srcs/sessions.ads.html#L63"
    },
    {
      "label": "Sign_Op",
      "docHref": "docs/values.operations.html#L43C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L43"
    },
    {
      "label": "Signal",
      "docHref": "docs/signals.html#L21C10",
      "declared": "Signals",
      "srcHref": "srcs/signals.ads.html#L21"
    },
    {
      "label": "Simple_Namespace",
      "docHref": "docs/scribble.namespaces.simple.html#L16C10",
      "declared": "Scribble.Namespaces.Simple",
      "srcHref": "srcs/scribble-namespaces-simple.ads.html#L16"
    },
    {
      "label": "Slug_Ai",
      "docHref": "docs/entities.components.keen4.slugs.html#L18C10",
      "declared": "Entities.Components.Keen4.Slugs",
      "srcHref": "srcs/entities-components-keen4-slugs.ads.html#L18"
    },
    {
      "label": "Snake_Ai",
      "docHref": "docs/entities.components.keen4.snakes.html#L18C10",
      "declared": "Entities.Components.Keen4.Snakes",
      "srcHref": "srcs/entities-components-keen4-snakes.ads.html#L18"
    },
    {
      "label": "Solid",
      "docHref": "docs/entities.components.solids.html#L55C10",
      "declared": "Entities.Components.Solids",
      "srcHref": "srcs/entities-components-solids.ads.html#L55"
    },
    {
      "label": "Spawn_Entity_Event",
      "docHref": "docs/events.entities.html#L222C10",
      "declared": "Events.Entities",
      "srcHref": "srcs/events-entities.ads.html#L222"
    },
    {
      "label": "Sprite",
      "docHref": "docs/widgets.sprites.html#L20C10",
      "declared": "Widgets.Sprites",
      "srcHref": "srcs/widgets-sprites.ads.html#L20"
    },
    {
      "label": "State",
      "docHref": "docs/standard.html#L52C10",
      "declared": "Entities.States",
      "srcHref": "srcs/entities-states.ads.html#L52"
    },
    {
      "label": "State_Machine",
      "docHref": "docs/standard.html#L66C10",
      "declared": "Entities.States",
      "srcHref": "srcs/entities-states.ads.html#L66"
    },
    {
      "label": "String_Connection",
      "docHref": "docs/signals.simple.html#L14C10",
      "declared": "Signals.Simple",
      "srcHref": "srcs/signals-simple.ads.html#L14"
    },
    {
      "label": "String_Signal",
      "docHref": "docs/signals.simple.html#L15C10",
      "declared": "Signals.Simple",
      "srcHref": "srcs/signals-simple.ads.html#L15"
    },
    {
      "label": "String_Value",
      "docHref": "docs/values.strings.html#L19C10",
      "declared": "Values.Strings",
      "srcHref": "srcs/values-strings.ads.html#L19"
    },
    {
      "label": "Subtract_Op",
      "docHref": "docs/values.operations.html#L87C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L87"
    },
    {
      "label": "Symbol_Token",
      "docHref": "docs/scribble.tokens.html#L162C10",
      "declared": "Scribble.Tokens",
      "srcHref": "srcs/scribble-tokens.ads.html#L162"
    },
    {
      "label": "Template",
      "docHref": "docs/entities.factory.templates.html#L14C10",
      "declared": "Entities.Factory.Templates",
      "srcHref": "srcs/entities-factory-templates.ads.html#L14"
    },
    {
      "label": "Textbox",
      "docHref": "docs/widgets.text_boxes.html#L23C10",
      "declared": "Widgets.Text_Boxes",
      "srcHref": "srcs/widgets-text_boxes.ads.html#L23"
    },
    {
      "label": "Theme",
      "docHref": "docs/themes.html#L39C10",
      "declared": "Themes",
      "srcHref": "srcs/themes.ads.html#L39"
    },
    {
      "label": "Thread",
      "docHref": "docs/scribble.vms.html#L19C10",
      "declared": "Scribble.VMs",
      "srcHref": "srcs/scribble-vms.ads.html#L19"
    },
    {
      "label": "Tile_Event",
      "docHref": "docs/events.world.html#L99C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L99"
    },
    {
      "label": "Tile_Library",
      "docHref": "docs/tiles.libraries.html#L30C10",
      "declared": "Tiles.Libraries",
      "srcHref": "srcs/tiles-libraries.ads.html#L30"
    },
    {
      "label": "Tile_Object",
      "docHref": "docs/tiles.html#L48C10",
      "declared": "Tiles",
      "srcHref": "srcs/tiles.ads.html#L48"
    },
    {
      "label": "Tile_Palette",
      "docHref": "docs/widgets.palettes.tiles.html#L18C10",
      "declared": "Widgets.Palettes.Tiles",
      "srcHref": "srcs/widgets-palettes-tiles.ads.html#L18"
    },
    {
      "label": "Tile_Sensor",
      "docHref": "docs/entities.components.tile_sensors.html#L37C10",
      "declared": "Entities.Components.Tile_Sensors",
      "srcHref": "srcs/entities-components-tile_sensors.ads.html#L37"
    },
    {
      "label": "Toggle_Button",
      "docHref": "docs/widgets.buttons.toggles.html#L16C10",
      "declared": "Widgets.Buttons.Toggles",
      "srcHref": "srcs/widgets-buttons-toggles.ads.html#L16"
    },
    {
      "label": "Token",
      "docHref": "docs/scribble.tokens.html#L124C10",
      "declared": "Scribble.Tokens",
      "srcHref": "srcs/scribble-tokens.ads.html#L124"
    },
    {
      "label": "Token_Ptr",
      "docHref": "docs/scribble.tokens.html#L125C10",
      "declared": "Scribble.Tokens",
      "srcHref": "srcs/scribble-tokens.ads.html#L125"
    },
    {
      "label": "Tokenizer",
      "docHref": "docs/scribble.tokenizers.html#L25C10",
      "declared": "Scribble.Tokenizers",
      "srcHref": "srcs/scribble-tokenizers.ads.html#L25"
    },
    {
      "label": "Tool",
      "docHref": "docs/tools.html#L20C10",
      "declared": "Tools",
      "srcHref": "srcs/tools.ads.html#L20"
    },
    {
      "label": "Tree",
      "docHref": "docs/standard.html#L17C10",
      "declared": "Quad_Trees",
      "srcHref": "srcs/quad_trees.ads.html#L17"
    },
    {
      "label": "Unary_Operation",
      "docHref": "docs/values.operations.html#L22C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L22"
    },
    {
      "label": "V_Scrollbar",
      "docHref": "docs/widgets.scrollbars.html#L45C10",
      "declared": "Widgets.Scrollbars",
      "srcHref": "srcs/widgets-scrollbars.ads.html#L45"
    },
    {
      "label": "Value",
      "docHref": "docs/values.html#L50C10",
      "declared": "Values",
      "srcHref": "srcs/values.ads.html#L50"
    },
    {
      "label": "Value_Token",
      "docHref": "docs/scribble.tokens.html#L172C10",
      "declared": "Scribble.Tokens",
      "srcHref": "srcs/scribble-tokens.ads.html#L172"
    },
    {
      "label": "Visible",
      "docHref": "docs/entities.components.visibles.html#L36C10",
      "declared": "Entities.Components.Visibles",
      "srcHref": "srcs/entities-components-visibles.ads.html#L36"
    },
    {
      "label": "Widget",
      "docHref": "docs/widgets.html#L46C10",
      "declared": "Widgets",
      "srcHref": "srcs/widgets.ads.html#L46"
    },
    {
      "label": "Window",
      "docHref": "docs/widgets.windows.html#L31C10",
      "declared": "Widgets.Windows",
      "srcHref": "srcs/widgets-windows.ads.html#L31"
    },
    {
      "label": "World_Loaded_Event",
      "docHref": "docs/events.world.html#L48C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L48"
    },
    {
      "label": "World_Object",
      "docHref": "docs/worlds.html#L75C10",
      "declared": "Worlds",
      "srcHref": "srcs/worlds.ads.html#L75"
    },
    {
      "label": "World_Property_Event",
      "docHref": "docs/events.world.html#L67C10",
      "declared": "Events.World",
      "srcHref": "srcs/events-world.ads.html#L67"
    },
    {
      "label": "Xor_Op",
      "docHref": "docs/values.operations.html#L88C10",
      "declared": "Values.Operations",
      "srcHref": "srcs/values-operations.ads.html#L88"
    },
    {
      "label": "Zip_Archive",
      "docHref": "docs/resources.archives.zip_archives.html#L21C10",
      "declared": "Resources.Archives.Zip_Archives",
      "srcHref": "srcs/resources-archives-zip_archives.ads.html#L21"
    }
  ]
};