GNATdoc.EntitiesCategory = {
  "label": "Record Types",
  "entities": [
    {
      "label": "Allegro_Any_Event",
      "docHref": "docs/allegro.events.html#L58C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L58"
    },
    {
      "label": "Allegro_Audio_Stream",
      "docHref": "docs/allegro.audio.html#L109C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L109"
    },
    {
      "label": "Allegro_Bitmap",
      "docHref": "docs/allegro.bitmaps.html#L17C10",
      "declared": "Allegro.Bitmaps",
      "srcHref": "srcs/allegro-bitmaps.ads.html#L17"
    },
    {
      "label": "Allegro_Color",
      "docHref": "docs/allegro.color.html#L14C10",
      "declared": "Allegro.Color",
      "srcHref": "srcs/allegro-color.ads.html#L14"
    },
    {
      "label": "Allegro_Config",
      "docHref": "docs/allegro.configuration.html#L14C10",
      "declared": "Allegro.Configuration",
      "srcHref": "srcs/allegro-configuration.ads.html#L14"
    },
    {
      "label": "Allegro_Config_Entry",
      "docHref": "docs/allegro.configuration.html#L20C10",
      "declared": "Allegro.Configuration",
      "srcHref": "srcs/allegro-configuration.ads.html#L20"
    },
    {
      "label": "Allegro_Config_Section",
      "docHref": "docs/allegro.configuration.html#L17C10",
      "declared": "Allegro.Configuration",
      "srcHref": "srcs/allegro-configuration.ads.html#L17"
    },
    {
      "label": "Allegro_Display",
      "docHref": "docs/allegro.displays.html#L16C10",
      "declared": "Allegro.Displays",
      "srcHref": "srcs/allegro-displays.ads.html#L16"
    },
    {
      "label": "Allegro_Display_Event",
      "docHref": "docs/allegro.events.html#L65C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L65"
    },
    {
      "label": "Allegro_Event",
      "docHref": "docs/allegro.events.html#L144C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L144"
    },
    {
      "label": "Allegro_Event_Queue",
      "docHref": "docs/allegro.events.html#L177C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L177"
    },
    {
      "label": "Allegro_Event_Source",
      "docHref": "docs/allegro.html#L14C10",
      "declared": "Allegro",
      "srcHref": "srcs/allegro.ads.html#L14"
    },
    {
      "label": "Allegro_File",
      "docHref": "docs/allegro.file_io.html#L19C10",
      "declared": "Allegro.File_IO",
      "srcHref": "srcs/allegro-file_io.ads.html#L19"
    },
    {
      "label": "Allegro_File_Interface",
      "docHref": "docs/allegro.file_io.html#L51C10",
      "declared": "Allegro.File_IO",
      "srcHref": "srcs/allegro-file_io.ads.html#L51"
    },
    {
      "label": "Allegro_Filechooser",
      "docHref": "docs/allegro.native_dialogs.html#L26C10",
      "declared": "Allegro.Native_Dialogs",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L26"
    },
    {
      "label": "Allegro_Font",
      "docHref": "docs/allegro.fonts.html#L31C10",
      "declared": "Allegro.Fonts",
      "srcHref": "srcs/allegro-fonts.ads.html#L31"
    },
    {
      "label": "Allegro_Joystick",
      "docHref": "docs/allegro.joystick.html#L14C10",
      "declared": "Allegro.Joystick",
      "srcHref": "srcs/allegro-joystick.ads.html#L14"
    },
    {
      "label": "Allegro_Joystick_Event",
      "docHref": "docs/allegro.events.html#L77C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L77"
    },
    {
      "label": "Allegro_Keyboard",
      "docHref": "docs/allegro.keyboard.html#L165C10",
      "declared": "Allegro.Keyboard",
      "srcHref": "srcs/allegro-keyboard.ads.html#L165"
    },
    {
      "label": "Allegro_Keyboard_Event",
      "docHref": "docs/allegro.events.html#L90C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L90"
    },
    {
      "label": "Allegro_Keyboard_State",
      "docHref": "docs/allegro.keyboard.html#L171C10",
      "declared": "Allegro.Keyboard",
      "srcHref": "srcs/allegro-keyboard.ads.html#L171"
    },
    {
      "label": "Allegro_Locked_Region",
      "docHref": "docs/allegro.bitmaps.locking.html#L18C10",
      "declared": "Allegro.Bitmaps.Locking",
      "srcHref": "srcs/allegro-bitmaps-locking.ads.html#L18"
    },
    {
      "label": "Allegro_Mixer",
      "docHref": "docs/allegro.audio.html#L66C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L66"
    },
    {
      "label": "Allegro_Monitor_Info",
      "docHref": "docs/allegro.displays.monitors.html#L12C10",
      "declared": "Allegro.Displays.Monitors",
      "srcHref": "srcs/allegro-displays-monitors.ads.html#L12"
    },
    {
      "label": "Allegro_Mouse",
      "docHref": "docs/allegro.mouse.html#L15C10",
      "declared": "Allegro.Mouse",
      "srcHref": "srcs/allegro-mouse.ads.html#L15"
    },
    {
      "label": "Allegro_Mouse_Cursor",
      "docHref": "docs/allegro.mouse.cursors.html#L14C10",
      "declared": "Allegro.Mouse.Cursors",
      "srcHref": "srcs/allegro-mouse-cursors.ads.html#L14"
    },
    {
      "label": "Allegro_Mouse_Event",
      "docHref": "docs/allegro.events.html#L103C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L103"
    },
    {
      "label": "Allegro_Mouse_State",
      "docHref": "docs/allegro.mouse.html#L21C10",
      "declared": "Allegro.Mouse",
      "srcHref": "srcs/allegro-mouse.ads.html#L21"
    },
    {
      "label": "Allegro_Path",
      "docHref": "docs/allegro.paths.html#L16C10",
      "declared": "Allegro.Paths",
      "srcHref": "srcs/allegro-paths.ads.html#L16"
    },
    {
      "label": "Allegro_Sample",
      "docHref": "docs/allegro.audio.html#L103C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L103"
    },
    {
      "label": "Allegro_Sample_Id",
      "docHref": "docs/allegro.audio.html#L96C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L96"
    },
    {
      "label": "Allegro_Sample_Instance",
      "docHref": "docs/allegro.audio.html#L106C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L106"
    },
    {
      "label": "Allegro_State",
      "docHref": "docs/allegro.state.html#L14C10",
      "declared": "Allegro.State",
      "srcHref": "srcs/allegro-state.ads.html#L14"
    },
    {
      "label": "Allegro_Textlog",
      "docHref": "docs/allegro.native_dialogs.html#L80C10",
      "declared": "Allegro.Native_Dialogs",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L80"
    },
    {
      "label": "Allegro_Timeout",
      "docHref": "docs/allegro.time.html#L15C10",
      "declared": "Allegro.Time",
      "srcHref": "srcs/allegro-time.ads.html#L15"
    },
    {
      "label": "Allegro_Timer",
      "docHref": "docs/allegro.timers.html#L15C10",
      "declared": "Allegro.Timers",
      "srcHref": "srcs/allegro-timers.ads.html#L15"
    },
    {
      "label": "Allegro_Timer_Event",
      "docHref": "docs/allegro.events.html#L116C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L116"
    },
    {
      "label": "Allegro_Transform",
      "docHref": "docs/allegro.transformations.html#L14C10",
      "declared": "Allegro.Transformations",
      "srcHref": "srcs/allegro-transformations.ads.html#L14"
    },
    {
      "label": "Allegro_User_Event",
      "docHref": "docs/allegro.events.html#L126C10",
      "declared": "Allegro.Events",
      "srcHref": "srcs/allegro-events.ads.html#L126"
    },
    {
      "label": "Allegro_Ustr",
      "docHref": "docs/allegro.utf8.html#L18C10",
      "declared": "Allegro.UTF8",
      "srcHref": "srcs/allegro-utf8.ads.html#L18"
    },
    {
      "label": "Allegro_Ustr_Info",
      "docHref": "docs/allegro.utf8.html#L27C10",
      "declared": "Allegro.UTF8",
      "srcHref": "srcs/allegro-utf8.ads.html#L27"
    },
    {
      "label": "Allegro_Vertex",
      "docHref": "docs/allegro.drawing.primitives.html#L209C10",
      "declared": "Allegro.Drawing.Primitives",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L209"
    },
    {
      "label": "Allegro_Vertex_Decl",
      "docHref": "docs/allegro.drawing.primitives.html#L253C10",
      "declared": "Allegro.Drawing.Primitives",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L253"
    },
    {
      "label": "Allegro_Vertex_Element",
      "docHref": "docs/allegro.drawing.primitives.html#L242C10",
      "declared": "Allegro.Drawing.Primitives",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L242"
    },
    {
      "label": "Allegro_Voice",
      "docHref": "docs/allegro.audio.html#L112C10",
      "declared": "Allegro.Audio",
      "srcHref": "srcs/allegro-audio.ads.html#L112"
    },
    {
      "label": "Button_Arguments",
      "docHref": "docs/signals.mouse.html#L29C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L29"
    },
    {
      "label": "Central_File_Header",
      "docHref": "docs/zip.headers.html#L94C8",
      "declared": "Zip.Headers",
      "srcHref": "srcs/zip-headers.ads.html#L94"
    },
    {
      "label": "Component",
      "docHref": "docs/entities.factory.templates.html#L17C10",
      "declared": "Entities.Factory.Templates",
      "srcHref": "srcs/entities-factory-templates.ads.html#L17"
    },
    {
      "label": "Cursor",
      "docHref": "docs/standard.html#L26C10",
      "declared": "Mutable_Lists",
      "srcHref": "srcs/mutable_lists.ads.html#L26"
    },
    {
      "label": "Data_descriptor",
      "docHref": "docs/zip.headers.html#L30C8",
      "declared": "Zip.Headers",
      "srcHref": "srcs/zip-headers.ads.html#L30"
    },
    {
      "label": "Debug_Info",
      "docHref": "docs/scribble.debugging.html#L41C10",
      "declared": "Scribble.Debugging",
      "srcHref": "srcs/scribble-debugging.ads.html#L41"
    },
    {
      "label": "Direction_Type",
      "docHref": "docs/directions.html#L17C10",
      "declared": "Directions",
      "srcHref": "srcs/directions.ads.html#L17"
    },
    {
      "label": "Directive_Type",
      "docHref": "docs/directives.html#L21C10",
      "declared": "Directives",
      "srcHref": "srcs/directives.ads.html#L21"
    },
    {
      "label": "Element",
      "docHref": "docs/standard.html#L97C10",
      "declared": "Quad_Trees",
      "srcHref": "srcs/quad_trees.ads.html#L97"
    },
    {
      "label": "Emitter",
      "docHref": "docs/particles.html#L44C10",
      "declared": "Particles",
      "srcHref": "srcs/particles.ads.html#L44"
    },
    {
      "label": "End_of_Central_Dir",
      "docHref": "docs/zip.headers.html#L132C8",
      "declared": "Zip.Headers",
      "srcHref": "srcs/zip-headers.ads.html#L132"
    },
    {
      "label": "Event_Type",
      "docHref": "docs/events.html#L28C10",
      "declared": "Events",
      "srcHref": "srcs/events.ads.html#L28"
    },
    {
      "label": "File_Content",
      "docHref": "docs/scribble.io.html#L22C10",
      "declared": "Scribble.IO",
      "srcHref": "srcs/scribble-io.ads.html#L22"
    },
    {
      "label": "Frame_Timer",
      "docHref": "docs/support.real_time.html#L36C10",
      "declared": "Support.Real_Time",
      "srcHref": "srcs/support-real_time.ads.html#L36"
    },
    {
      "label": "FS_routines_type",
      "docHref": "docs/unzip.html#L87C8",
      "declared": "UnZip",
      "srcHref": "srcs/unzip.ads.html#L87"
    },
    {
      "label": "Func_Name_Rec",
      "docHref": "docs/scribble.debugging.html#L31C10",
      "declared": "Scribble.Debugging",
      "srcHref": "srcs/scribble-debugging.ads.html#L31"
    },
    {
      "label": "Hashed_String",
      "docHref": "docs/hashed_strings.html#L22C10",
      "declared": "Hashed_Strings",
      "srcHref": "srcs/hashed_strings.ads.html#L22"
    },
    {
      "label": "HufT",
      "docHref": "docs/unzip.decompress.huffman.html#L11C8",
      "declared": "UnZip.Decompress.Huffman",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L11"
    },
    {
      "label": "Joystick_State",
      "docHref": "docs/allegro.joystick.html#L38C10",
      "declared": "Allegro.Joystick",
      "srcHref": "srcs/allegro-joystick.ads.html#L38"
    },
    {
      "label": "Joystick_Stick",
      "docHref": "docs/allegro.joystick.html#L26C10",
      "declared": "Allegro.Joystick",
      "srcHref": "srcs/allegro-joystick.ads.html#L26"
    },
    {
      "label": "Key_Arguments",
      "docHref": "docs/signals.keys.html#L17C10",
      "declared": "Signals.Keys",
      "srcHref": "srcs/signals-keys.ads.html#L17"
    },
    {
      "label": "Local_File_Header",
      "docHref": "docs/zip.headers.html#L64C8",
      "declared": "Zip.Headers",
      "srcHref": "srcs/zip-headers.ads.html#L64"
    },
    {
      "label": "Manifold",
      "docHref": "docs/entities.components.solids.html#L58C10",
      "declared": "Entities.Components.Solids",
      "srcHref": "srcs/entities-components-solids.ads.html#L58"
    },
    {
      "label": "Mouse_Arguments",
      "docHref": "docs/signals.mouse.html#L18C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L18"
    },
    {
      "label": "Node",
      "docHref": "docs/standard.html#L134C10",
      "declared": "Mutable_Lists",
      "srcHref": "srcs/mutable_lists.ads.html#L134"
    },
    {
      "label": "Node",
      "docHref": "docs/standard.html#L117C10",
      "declared": "Quad_Trees",
      "srcHref": "srcs/quad_trees.ads.html#L117"
    },
    {
      "label": "Pair_Type",
      "docHref": "docs/values.maps.html#L11C10",
      "declared": "Values.Maps",
      "srcHref": "srcs/values-maps.ads.html#L11"
    },
    {
      "label": "Particle",
      "docHref": "docs/particles.html#L19C10",
      "declared": "Particles",
      "srcHref": "srcs/particles.ads.html#L19"
    },
    {
      "label": "Point_2D",
      "docHref": "docs/allegro.drawing.primitives.html#L29C10",
      "declared": "Allegro.Drawing.Primitives",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L29"
    },
    {
      "label": "Rect",
      "docHref": "docs/standard.html#L91C10",
      "declared": "Quad_Trees",
      "srcHref": "srcs/quad_trees.ads.html#L91"
    },
    {
      "label": "Rect",
      "docHref": "docs/tiles.atlases.bins.html#L14C10",
      "declared": "Tiles.Atlases.Bins",
      "srcHref": "srcs/tiles-atlases-bins.ads.html#L14"
    },
    {
      "label": "Response_Type",
      "docHref": "docs/events.html#L37C10",
      "declared": "Events",
      "srcHref": "srcs/events.ads.html#L37"
    },
    {
      "label": "Scroll_Arguments",
      "docHref": "docs/signals.mouse.html#L41C10",
      "declared": "Signals.Mouse",
      "srcHref": "srcs/signals-mouse.ads.html#L41"
    },
    {
      "label": "Segment",
      "docHref": "docs/standard.html#L85C10",
      "declared": "Quad_Trees",
      "srcHref": "srcs/quad_trees.ads.html#L85"
    },
    {
      "label": "Table_list",
      "docHref": "docs/unzip.decompress.huffman.html#L26C8",
      "declared": "UnZip.Decompress.Huffman",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L26"
    },
    {
      "label": "Tick_Time",
      "docHref": "docs/processes.html#L13C10",
      "declared": "Processes",
      "srcHref": "srcs/processes.ads.html#L13"
    },
    {
      "label": "Timer_Type",
      "docHref": "docs/support.real_time.html#L14C10",
      "declared": "Support.Real_Time",
      "srcHref": "srcs/support-real_time.ads.html#L14"
    },
    {
      "label": "Token_Location",
      "docHref": "docs/scribble.tokens.html#L16C10",
      "declared": "Scribble.Tokens",
      "srcHref": "srcs/scribble-tokens.ads.html#L16"
    },
    {
      "label": "Unbounded_Stream",
      "docHref": "docs/zip_streams.html#L112C12",
      "declared": "Zip_Streams",
      "srcHref": "srcs/zip_streams.ads.html#L112"
    },
    {
      "label": "Unicode_Range",
      "docHref": "docs/allegro.fonts.html#L135C10",
      "declared": "Allegro.Fonts",
      "srcHref": "srcs/allegro-fonts.ads.html#L135"
    },
    {
      "label": "Var_Use_Rec",
      "docHref": "docs/scribble.debugging.html#L20C10",
      "declared": "Scribble.Debugging",
      "srcHref": "srcs/scribble-debugging.ads.html#L20"
    },
    {
      "label": "Vec2",
      "docHref": "docs/vector_math.html#L14C10",
      "declared": "Vector_Math",
      "srcHref": "srcs/vector_math.ads.html#L14"
    },
    {
      "label": "Zip_info",
      "docHref": "docs/zip.html#L53C8",
      "declared": "Zip",
      "srcHref": "srcs/zip.ads.html#L53"
    },
    {
      "label": "ZipFile_Stream",
      "docHref": "docs/zip_streams.html#L126C12",
      "declared": "Zip_Streams",
      "srcHref": "srcs/zip_streams.ads.html#L126"
    }
  ]
};